const express = require("express");
const router = express.Router();

const controller = require("../controller/orderController");
const authorization = require("../middleware/Authorization");

// End-Point '/api/order
router.post("/", controller.newOrder);

//Authorized needed for this router
router.get("/", controller.getAllOrders);
router.get("/:id", controller.getOrderById);
router.put("/:id", controller.updateOrder);
router.delete("/:id", controller.deleteOrder);

module.exports = router;
